package com.mortals.xhx.module.matter.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:MatterDetail
* date: 2021-9-17 15:55:12
*/
public class MatterDetailEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1631865312179L;


    /**
    * 事项id
    */
    private Long matterId;

    /**
    * 事项编号
    */
    private String matterCode;

    /**
    * 基本信息
    */
    private String basicInfoJbxx;

    /**
    * 申请材料
    */
    private String materialsSqcl;

    /**
    * 受理条件
    */
    private String conditionsSltj;

    /**
    * 办理流程
    */
    private String processBllc;

    /**
    * 收费标准
    */
    private String chargingSfbz;

    /**
    * 设定依据
    */
    private String basisSdyj;

    /**
    * 中介服务
    */
    private String intermediaryZjfw;

    /**
    * 常见问题
    */
    private String questionCjwt;

    /**
    * 创建人名称
    */
    private String createUserName;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 修改人名称
    */
    private String updateUserName;

    /**
    * 更新时间
    */
    private Date updateTime;

    public MatterDetailEntity(){

    }
    /**
    * 获取 事项id
    * @return matterId
    */
    public Long getMatterId() {
        return this.matterId;
    }
    /**
    * 设置 事项id
    * @param matterId
    */
    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }
    /**
    * 获取 事项编号
    * @return matterCode
    */
    public String getMatterCode() {
        return this.matterCode;
    }
    /**
    * 设置 事项编号
    * @param matterCode
    */
    public void setMatterCode(String matterCode) {
        this.matterCode = matterCode;
    }
    /**
    * 获取 基本信息
    * @return basicInfoJbxx
    */
    public String getBasicInfoJbxx() {
        return this.basicInfoJbxx;
    }
    /**
    * 设置 基本信息
    * @param basicInfoJbxx
    */
    public void setBasicInfoJbxx(String basicInfoJbxx) {
        this.basicInfoJbxx = basicInfoJbxx;
    }
    /**
    * 获取 申请材料
    * @return materialsSqcl
    */
    public String getMaterialsSqcl() {
        return this.materialsSqcl;
    }
    /**
    * 设置 申请材料
    * @param materialsSqcl
    */
    public void setMaterialsSqcl(String materialsSqcl) {
        this.materialsSqcl = materialsSqcl;
    }
    /**
    * 获取 受理条件
    * @return conditionsSltj
    */
    public String getConditionsSltj() {
        return this.conditionsSltj;
    }
    /**
    * 设置 受理条件
    * @param conditionsSltj
    */
    public void setConditionsSltj(String conditionsSltj) {
        this.conditionsSltj = conditionsSltj;
    }
    /**
    * 获取 办理流程
    * @return processBllc
    */
    public String getProcessBllc() {
        return this.processBllc;
    }
    /**
    * 设置 办理流程
    * @param processBllc
    */
    public void setProcessBllc(String processBllc) {
        this.processBllc = processBllc;
    }
    /**
    * 获取 收费标准
    * @return chargingSfbz
    */
    public String getChargingSfbz() {
        return this.chargingSfbz;
    }
    /**
    * 设置 收费标准
    * @param chargingSfbz
    */
    public void setChargingSfbz(String chargingSfbz) {
        this.chargingSfbz = chargingSfbz;
    }
    /**
    * 获取 设定依据
    * @return basisSdyj
    */
    public String getBasisSdyj() {
        return this.basisSdyj;
    }
    /**
    * 设置 设定依据
    * @param basisSdyj
    */
    public void setBasisSdyj(String basisSdyj) {
        this.basisSdyj = basisSdyj;
    }
    /**
    * 获取 中介服务
    * @return intermediaryZjfw
    */
    public String getIntermediaryZjfw() {
        return this.intermediaryZjfw;
    }
    /**
    * 设置 中介服务
    * @param intermediaryZjfw
    */
    public void setIntermediaryZjfw(String intermediaryZjfw) {
        this.intermediaryZjfw = intermediaryZjfw;
    }
    /**
    * 获取 常见问题
    * @return questionCjwt
    */
    public String getQuestionCjwt() {
        return this.questionCjwt;
    }
    /**
    * 设置 常见问题
    * @param questionCjwt
    */
    public void setQuestionCjwt(String questionCjwt) {
        this.questionCjwt = questionCjwt;
    }
    /**
    * 获取 创建人名称
    * @return createUserName
    */
    public String getCreateUserName() {
        return this.createUserName;
    }
    /**
    * 设置 创建人名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 修改人名称
    * @return updateUserName
    */
    public String getUpdateUserName() {
        return this.updateUserName;
    }
    /**
    * 设置 修改人名称
    * @param updateUserName
    */
    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }
    /**
    * 获取 更新时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 更新时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof MatterDetailEntity) {
            MatterDetailEntity tmp = (MatterDetailEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",matterId:").append(getMatterId())
                .append(",matterCode:").append(getMatterCode())
                .append(",basicInfoJbxx:").append(getBasicInfoJbxx())
                .append(",materialsSqcl:").append(getMaterialsSqcl())
                .append(",conditionsSltj:").append(getConditionsSltj())
                .append(",processBllc:").append(getProcessBllc())
                .append(",chargingSfbz:").append(getChargingSfbz())
                .append(",basisSdyj:").append(getBasisSdyj())
                .append(",intermediaryZjfw:").append(getIntermediaryZjfw())
                .append(",questionCjwt:").append(getQuestionCjwt())
                .append(",createUserName:").append(getCreateUserName())
                .append(",createTime:").append(getCreateTime())
                .append(",updateUserName:").append(getUpdateUserName())
                .append(",updateTime:").append(getUpdateTime())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.matterId = null;
         this.matterCode = null;
         this.basicInfoJbxx = null;
         this.materialsSqcl = null;
         this.conditionsSltj = null;
         this.processBllc = null;
         this.chargingSfbz = null;
         this.basisSdyj = null;
         this.intermediaryZjfw = null;
         this.questionCjwt = null;
         this.createUserName = null;
         this.createTime = null;
         this.updateUserName = null;
         this.updateTime = null;
    }
}